%define ver 1.6
%define rel 4mdk
%define _prefix /usr

Summary: Spanish files for ispell
Summary(es): Diccionario espaol para ispell
Name: ispell-es
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source: ftp://ftp.fi.upm.es/pub/unix/espa~nol-%{ver}.tar.bz2
URL: http://www.datsi.fi.upm.es/~coes/
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-es
Obsoletes: ispel-es
Obsoletes: ispell-castellano
Obsoletes: ispell-spanish
Obsoletes: ispanish
Provides: ispell-dictionary

%description
ispell-es has the spelling data for Spanish which is used by
the ispell program. With this extension, you can compose a document
in Spanish and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l es
ispell-es contiene los archivos necesarios para poder comprobar la
ortografa de textos en castellano.

Ispell es un programa corrector de ortografa que puede ser usado
directamente desde la lnea de comando o a partir de programas tales
como LyX, etc.

%prep
%setup -n espa~nol-%{ver}

%build
#TMPDIR=/var/tmp make
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make symlinks for compatibility with LaTeX babel 
# (also the '~' in file names makes a lot of troubles...)
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s espa~nol.aff spanish.aff)
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s espa~nol.hash spanish.hash)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc LEAME README*
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.6-4mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed name to ispell-es to standardize naming

* Wed Nov 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Mecachis! a small typo made the data files to don't be on the rpm :-(
  fixed now.

* Mon Oct 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

